Bug 459844 - interactive mode won't accept spaces.
interactive mode won't accept spaces.
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: readline (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miroslav Lichvar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-22 16:58 EDT by Dave Jones
Modified: 2015-01-04 17:30 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-25 11:23:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Jones 2008-08-22 16:58:08 EDT
this happens in X and on tty1

if I run gpg --gen-key, when I get to this part..

You need a user ID to identify your key; the software constructs the user ID
from the Real Name, Comment and Email Address in this form:
    "Heinrich Heine (Der Dichter) <heinrichh@duesseldorf.de>"

it won't let me enter spaces at all.  It will only accept me entering my name as DaveJones instead of "Dave Jones" for example.

This is true of other text input fields too. The 'reason' in the revoke-keys command does the same thing.
Comment 1 Dave Jones 2008-08-25 10:21:24 EDT
I just noticed the same thing happens in gdb, so this is probably a bug in readline.
Comment 2 Dave Jones 2008-08-25 11:23:55 EDT
oh, duh. my fault. I had a crappy .inputrc

Note You need to log in before you can comment on or make changes to this bug.